******************************************************************************************************************************
******************************************************************************************************************************
* 	scoring algorithm for the KIDSCREEN-27 self report version						*
******************************************************************************************************************************
******************************************************************************************************************************

*	copyright and intelectual property: The European KIDSCREEN group				*

******************************************************************************************************************************
* 	1) uses transformed KIDSCREEN item-scores (transformed e.g. by a priori application of the 	*
* 	syntax "transform_KIDSCREEN-27_rawdata.SPS")						*
* 	2) based on the RASCH-Person-Parameter Estimates 						*
* 	3) T-values were computed wich refer to the entire KIDSCREEN survey (excluded were Ireland,	*
* 	cases older than 18, younger than 8, > 25% missings in KIDSCREEN items, with any 		*
* 	missing in the particular scale)									*
* 	4) for the entire European sample the mean of the T-values is 50, the standard deviation is 10	*
******************************************************************************************************************************



RECODE
  KY27PHY1
  (5=3)  (1 thru 2=1)  (3 thru 4=2)  (ELSE=Copy)  INTO  KY27PHYc .
VARIABLE LABELS KY27PHYc 'gh_y01 coll 1 + 2 & 3 + 4 & 5'.
EXECUTE .
MISSING VALUES KY27PHYc (0 +  6 thru 99999) .
EXECUTE .




COMPUTE KC27ph_R  = (KY27PHYc + KY27PHY2 + KY27PHY3 + KY27PHY4 + KY27PHY5 ) .
EXECUTE .

COMPUTE KC27pw_R  = (KY27PWB1 + KY27PWB2 + KY27PWB3 + KY27PWB4 + KY27PWB5 + KY27PWB6 + KY27PWB7 ) .
EXECUTE .

COMPUTE KC27pa_R  = (KY27PAR1 + KY27PAR2 + KY27PAR3 + KY27PAR4 + KY27PAR5 + KY27PAR6 + KY27PAR7 ) .
EXECUTE .

COMPUTE KC27pe_R  = (KY27SOC1 + KY27SOC2 + KY27SOC3 + KY27SOC4 ) .
EXECUTE .

COMPUTE KC27sc_R  = (KY27SCH1 + KY27SCH2 + KY27SCH3 + KY27SCH4 ) .
EXECUTE .



RECODE KC27ph_R  
(	5	=	-4.287	)	
(	6	=	-3.040	)	
(	7	=	-2.405	)	
(	8	=	-1.960	)	
(	9	=	-1.605	)	
(	10	=	-1.296	)	
(	11	=	-1.011	)	
(	12	=	-0.735	)	
(	13	=	-0.456	)	
(	14	=	-0.168	)	
(	15	=	0.134	)	
(	16	=	0.454	)	
(	17	=	0.796	)	
(	18	=	1.166	)	
(	19	=	1.574	)	
(	20	=	2.035	)	
(	21	=	2.582	)	
(	22	=	3.299	)	
(	23	=	4.594	)	
INTO KC27ph_R   .
EXECUTE .

RECODE KC27pw_R  
(	7	=	-4.472	)	
(	8	=	-3.292	)	
(	9	=	-2.705	)	
(	10	=	-2.299	)	
(	11	=	-1.982	)	
(	12	=	-1.718	)	
(	13	=	-1.489	)	
(	14	=	-1.284	)	
(	15	=	-1.096	)	
(	16	=	-0.920	)	
(	17	=	-0.752	)	
(	18	=	-0.590	)	
(	19	=	-0.431	)	
(	20	=	-0.273	)	
(	21	=	-0.114	)	
(	22	=	0.049	)	
(	23	=	0.216	)	
(	24	=	0.391	)	
(	25	=	0.576	)	
(	26	=	0.774	)	
(	27	=	0.989	)	
(	28	=	1.224	)	
(	29	=	1.485	)	
(	30	=	1.778	)	
(	31	=	2.112	)	
(	32	=	2.504	)	
(	33	=	2.985	)	
(	34	=	3.642	)	
(	35	=	4.886	)	
INTO KC27pw_R  .
EXECUTE .

RECODE KC27pa_R   
(	7	=	-4.053	)	
(	8	=	-2.887	)	
(	9	=	-2.312	)	
(	10	=	-1.915	)	
(	11	=	-1.607	)	
(	12	=	-1.353	)	
(	13	=	-1.136	)	
(	14	=	-0.944	)	
(	15	=	-0.772	)	
(	16	=	-0.614	)	
(	17	=	-0.468	)	
(	18	=	-0.330	)	
(	19	=	-0.199	)	
(	20	=	-0.072	)	
(	21	=	0.052	)	
(	22	=	0.174	)	
(	23	=	0.297	)	
(	24	=	0.421	)	
(	25	=	0.548	)	
(	26	=	0.681	)	
(	27	=	0.821	)	
(	28	=	0.973	)	
(	29	=	1.140	)	
(	30	=	1.330	)	
(	31	=	1.552	)	
(	32	=	1.824	)	
(	33	=	2.184	)	
(	34	=	2.721	)	
(	35	=	3.852	)	
INTO KC27pa_R   .
EXECUTE .

RECODE KC27pe_R   
(	4	=	-4.054	)	
(	5	=	-2.832	)	
(	6	=	-2.193	)	
(	7	=	-1.725	)	
(	8	=	-1.335	)	
(	9	=	-0.989	)	
(	10	=	-0.667	)	
(	11	=	-0.358	)	
(	12	=	-0.051	)	
(	13	=	0.261	)	
(	14	=	0.586	)	
(	15	=	0.932	)	
(	16	=	1.313	)	
(	17	=	1.744	)	
(	18	=	2.261	)	
(	19	=	2.953	)	
(	20	=	4.232	)	
INTO KC27pe_R   .
EXECUTE .

RECODE KC27sc_R   
(	4	=	-4.136	)	
(	5	=	-2.906	)	
(	6	=	-2.286	)	
(	7	=	-1.846	)	
(	8	=	-1.485	)	
(	9	=	-1.161	)	
(	10	=	-0.852	)	
(	11	=	-0.540	)	
(	12	=	-0.212	)	
(	13	=	0.144	)	
(	14	=	0.536	)	
(	15	=	0.970	)	
(	16	=	1.450	)	
(	17	=	1.984	)	
(	18	=	2.588	)	
(	19	=	3.339	)	
(	20	=	4.649	)	
INTO KC27sc_R   .
EXECUTE .



Compute KC27ph_T = (((KC27ph_R - 1.2203)  / 1.45408) * 10 + 50) .
EXECUTE .
Compute KC27pw_T = (((KC27pw_R - 1.6950)  / 1.35642) * 10 + 50) .
EXECUTE .
Compute KC27pa_T  = (((KC27pa_R  - 1.1982)  / 1.08822) * 10 + 50) .
EXECUTE .
Compute KC27pe_T  = (((KC27pe_R  - 1.7749)  / 1.50386) * 10 + 50) .
EXECUTE .
Compute KC27sc_T  = (((KC27sc_R  - 1.2774)  / 1.60553) * 10 + 50) .
EXECUTE .



VAR LAB KC27ph_R '27item Physical RASCH PP'.
EXECUTE .
VAR LAB KC27pw_R '27item Psychological Wellbeing RASCH PP'.
EXECUTE .
VAR LAB KC27pa_R '27item Parents RASCH PP'.
EXECUTE .
VAR LAB KC27pe_R '27item Peers RASCH PP'.
EXECUTE .
VAR LAB KC27sc_R '27item School RASCH PP'.
EXECUTE .




VAR LAB KC27ph_T '27item Physical international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KC27pw_T '27item Psychological Wellbeing international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KC27pa_T '27item Parents international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KC27pe_T '27item Peers international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KC27sc_T '27item School international T-values based on RASCH PP'.
EXECUTE .
